import { UACService } from '../services/uac.service';
import { LocalProfile } from '../api';
import { ElectronHostWindow, ElectronService } from 'tabby-electron';
import { ProfileSettingsComponent } from 'tabby-core';
/** @hidden */
export declare class LocalProfileSettingsComponent implements ProfileSettingsComponent<LocalProfile> {
    uac: UACService;
    private hostWindow;
    private electron;
    profile: LocalProfile;
    constructor(uac: UACService, hostWindow: ElectronHostWindow, electron: ElectronService);
    ngOnInit(): void;
    pickWorkingDirectory(): Promise<void>;
}
